Bug 55436 - Gnome-terminal font change problem (
Summary: Gnome-terminal font change problem (
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-31 04:06 UTC by Brad Silva
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-29 20:46:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brad Silva 2001-10-31 04:06:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.73 [en] (X11; U; SunOS 5.7 sun4u)

Description of problem:
This is not really gnome-core, but there was not a component listing for
gnome-terminal.

With the gnome-terminal included with redhat 7.2, it ignores font changes
when the "clean" font is selected.  Other fonts seem to work.   Problem has
existed in all RH7.2 installations (3 so far).

This font worked correctly in RH 7.1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start gnome-terminal, edit prefs.
2. select "clean" and change the size to say, 12pt.
3.Apply
	

Actual Results:  Nothing.

Expected Results:  Fort should change slightly and get smaller.

Additional info:

It's annoying, and surprising.  "clean" is my favorite terminal font.

Comment 1 Havoc Pennington 2001-11-01 01:33:02 UTC
What is your locale set to?

Comment 2 Brad Silva 2001-11-02 00:23:21 UTC
I installed it with the default "us" settings.  My LANG Envvar 
is set to "en_US".

I hope that helps.

BTW, as a work around, "fixed(misc)" works pretty well.

Brad

Comment 3 Havoc Pennington 2001-11-02 03:45:08 UTC
The "enable multibyte" option may cause this to work - problem may be that you
don't have the right encoding selected for the font (on the last tab of the font
selector, should be iso8859-1 for en_US), in multibyte mode then the charset
doesn't matter. We do have enable multibyte turned on by default though...

Comment 4 Havoc Pennington 2002-02-25 23:16:13 UTC
Please reopen if you add a comment giving the status of the "use multibyte" option.

Comment 5 Kjartan Maraas 2004-03-29 20:46:15 UTC
GNOME 1.x is no longer maintained. Multibyte handling should be much
improved in later GNOME releases anyway.


Note You need to log in before you can comment on or make changes to this bug.